List custom dimension definitions
Returns a paginated list of custom dimension definitions for the given organization. Returns 403 when the organization does not exist or the authenticated user is not an administrator of it.
curl --request GET \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"count": 1,
"total": 1
},
"data": [
{
"id": "abc123def456abc123def456abc123de",
"externalSourceId": "project",
"description": "Project",
"status": "active",
"level": "EXPENSE",
"presetLocation": "NONE",
"controlType": "LIST",
"useDateInterval": false,
"recipientId": null,
"useAsRecipientFilter": null,
"hideDimensionValues": null,
"usedInCarbonFootprint": false,
"deviateOnCreditRow": false,
"deviatingCreditRowValue": null,
"dimensionUsage": null,
"visible": true
}
]
}{
"result": "error",
"code": "GENERIC",
"description": "max must be between an integer between 1 and 1000 was: 0"
}{
"result": "error",
"description": "Organization not found or access denied"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
String. The organization's internal ID (32-character hex string) or its externalSourceId. When the value matches the format of an internal ID, the internal ID takes precedence.
"11adfe2a080040e3892ffb89c21ec44e"
Query Parameters
String. Sort order for the results. Format: field:direction. Supported fields: dateCreated, description, level. Supported directions: asc, desc. Defaults to description:asc.
"description:asc"
Integer. Maximum number of results to return per page.
1 <= x <= 1000Integer. Zero-based offset of the first result to return. Used for pagination.
x >= 0Response
OK
Hide child attributes
Hide child attributes
Unique internal identifier of the custom dimension definition.
Display name of the custom dimension definition.
Lifecycle status of the dimension definition.
active, inactive The scope at which this dimension is applied.
EXPENSE, EXPENSE_REPORT Input type for the dimension. LIST means a fixed list of values; TEXT means free-text input.
LIST, TEXT Whether the dimension value can be associated with a date interval.
Computed visibility flag. true when the dimension is shown to users. Determined by presetLocation and user override settings.
Caller-supplied identifier used to address this definition from an external system. Null when not set.
Where the preset value is defined. Null when no preset is configured.
NONE, EMPLOYEE, DEPARTMENT, CATEGORY ID of the recipient linked to this dimension. Null when not set.
Whether this dimension is used as a recipient filter. Null when not configured.
Whether the available dimension values are hidden from users. Null when not configured.
Whether this dimension is used in carbon footprint calculations. Null when not configured.
Whether the dimension uses a deviating value on credit rows. Null when not configured.
The deviating dimension value applied on credit rows. Null when deviateOnCreditRow is false or not set.
Hide child attributes
Hide child attributes
Unique identifier of the deviating preset value.
ID of the dimension definition this deviating value belongs to.
ID of the preset list value used as the deviating value. Null when the deviating value is a string.
Text of the preset list value. Null when not applicable.
String value used as the deviating value. Null when the deviating value is a list value.
Describes how the dimension is used within the system. Null when not configured.
curl --request GET \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/customdimensions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"count": 1,
"total": 1
},
"data": [
{
"id": "abc123def456abc123def456abc123de",
"externalSourceId": "project",
"description": "Project",
"status": "active",
"level": "EXPENSE",
"presetLocation": "NONE",
"controlType": "LIST",
"useDateInterval": false,
"recipientId": null,
"useAsRecipientFilter": null,
"hideDimensionValues": null,
"usedInCarbonFootprint": false,
"deviateOnCreditRow": false,
"deviatingCreditRowValue": null,
"dimensionUsage": null,
"visible": true
}
]
}{
"result": "error",
"code": "GENERIC",
"description": "max must be between an integer between 1 and 1000 was: 0"
}{
"result": "error",
"description": "Organization not found or access denied"
}
